# -*- coding:utf-8 -*-
import unittest
from app.main.cam.auth.cam_url import CamUrl
from config import Config
import urllib2
import json

class TestCamUrl(unittest.TestCase):

    def test_url(self):
        policy = Config.POLICY
        print policy
        secret_id = Config.SECRET_ID
        secret_key = Config.SECRET_KEY
        duration = Config.DURATION_SECOND
        cam_url = CamUrl(policy, duration, secret_id, secret_key)
        real_url = cam_url.url()
        print real_url
        proxy_handler = urllib2.ProxyHandler({'https': '10.14.87.100:8080'})
        opener = urllib2.build_opener(proxy_handler)
        r = opener.open(real_url)
        response = str(r.read())
        print(response)
        response_dict = json.loads(response)
        self.assertEqual(response_dict['code'], 0)



if __name__ == '__main__':
    unittest.main()