# -*- coding:utf-8 -*-
import unittest
from app.main.cam.auth.encryptor import Encryptor



class TestEncryptor(unittest.TestCase):

    def test_encrypt(self):
        testDict = {'Action': 'DescribeInstances', 'Nonce': '11886', 'Region': 'ap-guangzhou',
                    'SecretId': 'AKIDz8krbsJ5yKBZQpn74WFkmLPx3gnPhESA',
                    'SignatureMethod':'HmacSHA256', 'Timestamp': '1465185768', 'InstanceIds.0': 'ins-09dx96dg'}
        encryptor = Encryptor('Gu5t9xGARNpq86cd98joQYCN3Cozk1qA')
        self.assertEqual(encryptor.encrypt("GET", 'cvm.api.qcloud.com/v2/index.php', testDict), 'RVSD1I6ip2Zo56I2HdqRVrt+1TE=')

if __name__ == '__main__':
    unittest.main()


