# -*- coding:utf-8 -*-
import hashlib
import hmac
from app.main.tools.tools import Tools
from urllib import quote
import string
import urllib

class Encryptor(object):

    def __init__(self, secret_key):
        self.__secret_key = secret_key

    def encrypt(self, method, path, key_values):

        #key_values = sorted(key_values.iteritems(), key=lambda d: d[0])
        #source = urllib.urlencode(key_values)
        source = Tools.flat_params(key_values)
        source = method + path + '?' + source
        sign = hmac.new(self.__secret_key, source, hashlib.sha1).digest().encode('base64').rstrip()
        return quote(sign)






